#include <iostream>
#include <vector>
#include <cassert>
using namespace std;

const char* getString() {
	string str("I am a string");
	return str.c_str(); //Return the C-string representation of this string
}

int* getPtrToSeven() {
	int seven = 7;
	int* returnValue = &seven;
	return returnValue; //Return a pointer to the number 7
}

double divideNumbers() {
	int numerator = 5;
	int denominator = 2;
	return numerator/denominator; //Return the result of dividing 5 by 2
}

bool compareNumbers() {
	float num1 = 0.123;
	double num2 = 0.123;
	return (num1 == num2); //Return true if the numbers are equal, false otherwise
}

bool compareOtherNumbers() {
	float num1 = 123.0;
	double num2 = 123.0;
	return (num1 == num2); //Return true if the numbers are equal, false otherwise
}

size_t sizeMinusTen(vector<int*> vec) {
	return vec.size() - 10; //Return the size of the vector minus 10
}

int main() {
	const char* testStr = getString(); //Should contain C-string that says "I am a string"
	int* seven = getPtrToSeven(); //Should be a pointer to the number seven
	double twoPointFive = divideNumbers(); //Should be 2.5
	bool isEqual = compareNumbers(); //Should be true
	bool isEqual2 = compareOtherNumbers(); //Should be the same as above
	
	vector<int*> vec(5, new int(10)); //Make a vector containing five pointers to the number 10
	size_t vecSize = sizeMinusTen(vec); //The vector size is 5, so this should be the number -5
	
	cout << "Testing variables" << endl;
	cout << testStr << endl; //Should print "I am a string"
	cout << *seven << endl; //Should print 7
	cout << twoPointFive << endl; //Should print 2.5
	cout << isEqual << endl; //Should print 1
	cout << isEqual2 << endl; //Should print whatever isEqual printed
	cout << vecSize << endl; //Should print -5
	
	cout << endl << "Testing vector" << endl;
	for(int i = 0; i < vec.size(); ++i) {
		cout << *vec.at(i) << endl; //Should print 10
		delete vec.at(i); //Delete the pointer to avoid memory leak
	}
	
	return 0;
}

