#ifndef MAXVAL_H
#define MAXVAL_H

#include <vector>
#include <list>
#include <set>
#include <map>

/*
These functions should return the maximum value found in the container.
The map version should return the value corresponding to the maximum key.
*/
int maxVal(std::vector<int>& toSearch);
int maxVal(std::list<int>& toSearch);
int maxVal(std::set<int>& toSearch);
int maxVal(std::map<int, int>& toSearch);

#endif
