#ifndef CIRCLE_H
#define CIRCLE_H

#include "shape.h"

class circle : public shape {
	public: 
	circle(double radius);
	~circle();
	void setRadius(double radius) { setBase(radius); setHeight(radius); }
	double getRadius() { return base_; }
	double area() { return base_*base_*pi_; }
	double circumference() { return 2.*base_*pi_; }
	
	protected:
	double pi_; //I'll make this a member variable. We do use it a grand total of two times!
};

#endif
