#ifndef PALINDROME_H
#define PALINDROME_H

#include <string>

//Returns true if the string is a strict palindrome, taking all characters into account
bool isStrictPalindrome(const std::string str);

//Returns true if the string is a palindrome ignoring case, spaces and punctuation
bool isPalindrome(const std::string str);

//Returns string converted into lower case
std::string convertToLower(const std::string str);

//Returns string stripped of all non-alphanumeric characters
std::string convertToAlphanum(const std::string str);

#endif
